<?
	/*	@editor	vim:set syntax=php:	*/

function create_html_input ($type, $name, $size=10, $maxlength=10, $value=NULL, $option=NULL)
{
	$message = NULL;

	if ($type == NULL)
		return "\ntype is null";

	$message = "\n<input type=\"$type\"";

	if ($name != NULL)
		$message .= " name=\"$name\"";
	if ($size != NULL)
		$message .= " size=\"$size\"";
	if ($maxlength != NULL)
		$message .= " maxlength=\"$maxlength\"";
	if ($value != NULL)
		if ($value == -1) // ?
			$message .= " value=\"0\"";
		else
			$message .= " value=\"$value\"";
	if ($option != NULL)
		$message .= " $option";
	
	if ($type == "text" || $type == "password")
		$message .= " class=\"input01\"";

	$message .= ">";

	return $message;
}

function create_html_select ($name, $list, $select=NULL, $option=NULL, $count=1)
{
	$message = NULL;

	if ($name == NULL)
		return "\nname is null";

	if ($option == NULL)
		$message = "\n<select name=\"$name\">";
	else
		$message = "\n<select name=\"$name\" $option>";

	if ($select == NULL)
		$select = $list[0];

	for ($i=0; $i<count($list); $i=$i+$count) {
		$tmp = $i + $count - 1;
		$message .= "\n\t<option value=\"$list[$tmp]\"";
		if ($select != NULL && $list[$i] == $select)
			$message .= " selected";
		if ($count != 1) {
			$tmp_cnt = $i + 1;
			if ($list[$tmp_cnt] == $select)
			{
				$message .= " selected";
			}
		}
		// 2005.02.26
		$s = str_replace(' ', '&nbsp;', $list[$i]);
//		$message .= ">$s";
		$message .= " class=\"select01\">$s";
	}

	$message .= "\n</select>";

	return $message;
}



function create_html_ip_input ($name, $value, $form_name, $section=NULL, $option=NULL, $mode = "2")
{
	global $locale;

	if ($locale == "de_DE") {
		$msg1 = "Falsche Eingabe! Bitte berprfen Sie Ihre Eingabe.";
		$msg2 = "Das eingegebene Zeichen ist nicht erlaubt.";
	} else {
		$msg1 = "Invalid input, please check again";
		$msg2 = "The used character is not allowed.";
	}

	$message = NULL;

	if ($name == NULL)
		return "\nname is null";

	$message = "\n";
	$message .= create_html_input ("hidden", "$name", NULL, NULL, $value, NULL);

	$message .= "\n<script language=\"JavaScript\">\n<!--\n

	var gIpCurrentIndex = 0;
	
function js_{$form_name}_{$name}_number_check(current)
{
//	if ( current.value != \"\" )
//	  current.value = Number(current.value);";
	
	if ($section != NULL)
		$message .= "document.$form_name.$name.value = document.$form_name.{$name}1.value+\".\"+document.$form_name.{$name}2.value+\".\"+document.$form_name.{$name}3.value+\".\"+document.$form_name.{$name}4.value+\"$section\"+document.$form_name.{$name}5.value;\n";
	else
		$message .= "document.$form_name.$name.value = document.$form_name.{$name}1.value+\".\"+document.$form_name.{$name}2.value+\".\"+document.$form_name.{$name}3.value+\".\"+document.$form_name.{$name}4.value;\n";

	$message .= "\n
	
}

function js_{$form_name}_{$name}_tab_check (current, event)
{
	if(window.event)
	{
		event = window.event;
	}

	if (event.keyCode == 9 || event.keyCode == 190 || event.keyCode == 110)
	{
		if (current.value.length != 0)
		{
			current.value = parseInt(current.value, 10);
			event.keyCode = 9;
			return;
		}
	}
	if ((event.keyCode >= 48 && event.keyCode <= 57) ||
			(event.keyCode >= 96 && event.keyCode <= 105) ||
			event.keyCode == 16 || event.keyCode == 8 ||
			event.keyCode == 17 || event.keyCode == 18 ||
			event.keyCode == 20 || event.keyCode == 21 ||
			event.keyCode == 25 || event.keyCode == 27 ||
			event.keyCode == 37 || event.keyCode == 39 ||
			event.keyCode == 45 || event.keyCode == 46 ||
			event.keyCode == 91 || event.keyCode == 92 )
	{		
				var strCurrent = current.name;
				gIpCurrentIndex = strCurrent.substr(strCurrent.length-1, 1);
				return;
	}			
//	event.keyCode = 38;

	if(window.event){
		event.returnValue = false;
	}
	else{
		event.preventDefault();
	}
}

	function js_{$form_name}_{$name}_input_next (current, next, input_cnt, event)
	{\n";
	// jsh add mode (1st field ip address range($min~$max) , etc ip address range (0~255)
	if ($mode == "1")
	{
		$max = "255";
		$min = "0";
		$max4 = "255";
		$min4 = "0";
	}
	else if ($mode == "2")
	{
		$max = "223";
		$min = "1";	
		$max4 = "254";
		$min4 = "1";
	}	
		
		$message .= " var denny = /[^0-9]/;
		
		if (current.value.length != 0 && input_cnt == 1 && (denny.test(current.value) || current.value>$max || current.value<$min))
		{
			alert (\"$msg1\");
			current.value = \"\";
			current.focus();
			current.select();
		}
		else if (current.value.length != 0 && input_cnt == 4 && (denny.test(current.value) || current.value>$max4 || current.value<$min4))
		{
			alert (\"$msg1\");
			current.value = \"\";
			current.focus();
			current.select();
		}
		else if (current.value.length != 0 && (input_cnt != 1 && input_cnt != 4) && (denny.test(current.value) || current.value>255 || current.value<0))
		{
			alert (\"$msg1\");
			current.value = \"\";
			current.focus();
			current.select();
		}\n";

		if ($section != NULL)
			$message .= "document.$form_name.$name.value = document.$form_name.{$name}1.value+\".\"+document.$form_name.{$name}2.value+\".\"+document.$form_name.{$name}3.value+\".\"+document.$form_name.{$name}4.value+\"$section\"+document.$form_name.{$name}5.value;\n";
		else
			$message .= "document.$form_name.$name.value = document.$form_name.{$name}1.value+\".\"+document.$form_name.{$name}2.value+\".\"+document.$form_name.{$name}3.value+\".\"+document.$form_name.{$name}4.value;\n";
		$message .= "
		
		var strCurrent = current.name;
		if(gIpCurrentIndex == strCurrent.substr(strCurrent.length-1, 1))
		{
			if (current.value.length == 3 && next != 0)
			{
				if ((event.keyCode >= 48 && event.keyCode <= 57) ||
						(event.keyCode >= 96 && event.keyCode <= 105) )
				{
					next.focus();
					next.select();
				}
			}
		}
		gIpCurrentIndex = 0;
	}\n-->\n</script>\n";

	if ($section != NULL) {
	//	$tmp_ip = strtok (ltrim ($value), ":\n\t");
	//	$tmp_range_ip = strtok (":\n\t");
	// 050727 pjh0347
		$tmp_ip = strtok (ltrim ($value), "$section\n\t");
		$tmp_range_ip = strtok ("$section\n\t");
		$tmp_ip = strtok (ltrim ($tmp_ip), ".\n\t");
	} else
		$tmp_ip = strtok (ltrim ($value), ".\n\t");
	for ($i=0; $i<4; $i++) 
	{
		$input_cnt = $i + 1;
		$js_cnt = $i + 2;
		if ($i != 0) {
			$tmp_ip = strtok (".\n\t");
			$message .= ".";
		}
		if ($i == 3)
			$message .= create_html_input ("text", "$name$input_cnt", 3, 3, $tmp_ip, "$option onkeydown=\"javascript:js_{$form_name}_{$name}_tab_check(this, event)\" onkeyup=\"javascript:js_{$form_name}_{$name}_input_next(this, 0, $input_cnt, event)\"");
		else
			$message .= create_html_input ("text", "$name$input_cnt", 3, 3, $tmp_ip, "$option onkeydown=\"javascript:js_{$form_name}_{$name}_tab_check(this, event)\" onkeyup=\"javascript:js_{$form_name}_{$name}_input_next(this, document.$form_name.$name$js_cnt, $input_cnt, event)\"");
	}
	if ($section != NULL) {
		$input_cnt++;
		//$message .= " ~ ";
		$message .= $section;
		$message .= create_html_input ("text", "$name$input_cnt", 3, 3, $tmp_range_ip, "$option onkeydown=\"javascript:js_{$form_name}_{$name}_tab_check(this, event)\" onkeyup=\"javascript:js_{$form_name}_{$name}_input_next(this, document.$form_name.$name$js_cnt, $input_cnt, event)\"");
	}

	return $message;
}

function create_html_mac_input ($name, $value, $form_name, $option=NULL)
{
	global $locale;

	$message = NULL;

	if ($name == NULL)
		return "name is null";

	if ($locale == "de_DE") {
		$msg1 = "Falsche Eingabe! Bitte berprfen Sie Ihre Eingabe.";
		$msg2 = "Das eingegebene Zeichen ist nicht erlaubt.";
	} else {
		$msg1 = "Invalid input, please check again";
		$msg2 = "The used character is not allowed.";
	}

	$message = "\n";
	$message .= create_html_input ("hidden", "$name", NULL, NULL, $value, NULL);
// jsh add (check a number of two ciphers(function check_mac(current), add "uppercase()"))
	$message .= "\n<script language=\"JavaScript\">\n<!--\n

//		var gIpCurrentIndex = 0;
	
		function check_mac(current)
		{
			if (current.value.length == 1)
			{
				current.value = \"0\"+current.value;
			}

		}
		
		function js_{$form_name}_{$name}_input_next (current, next, val_check, event)
		{
			var denny = /[^0-9A-Fa-f]/;
			if (denny.test(current.value))
			{
				alert (\"$msg1\");
				current.value = \"\";
				current.focus();
				current.select();
			}
			else
			{
				current.value = current.value.toUpperCase();
			}

			var broadcast_check;
			broad_check = parseInt(document.$form_name.{$name}1.value, 16) & 0x01;
			if (current.value.length == 2 && val_check == 1)
			{
				broad_check = parseInt(document.$form_name.{$name}1.value, 16) & 0x01;
				if(broad_check == 1)
				{
					alert(\"$msg1\");
					current.value =\"\";
					current.focus();
					current.select();
				}	
			}

			document.$form_name.$name.value = document.$form_name.{$name}1.value+\":\"+document.$form_name.{$name}2.value+\":\"+document.$form_name.{$name}3.value+\":\"+document.$form_name.{$name}4.value+\":\"+document.$form_name.{$name}5.value+\":\"+document.$form_name.{$name}6.value;\n

//			var strCurrent = current.name;
//			if(gIpCurrentIndex == strCurrent.substr(strCurrent.length-1, 1))
//			{
				if (current.value.length == 2 && next != 0)
				{
					if ((event.keyCode >= 48 && event.keyCode <= 57) ||
							(event.keyCode >= 96 && event.keyCode <= 105) ||
							(event.keyCode >= 65 && event.keyCode <= 70) )
					{
						next.focus();
						next.select();
					}
				}
//			}
//			gIpCurrentIndex = 0;
		}\n
-->\n</script>\n\n";

	$tmp_mac = strtok (ltrim ($value), ":\n\t");
	for ($i=0; $i<6; $i++) {
		$input_cnt = $i + 1;
		$js_cnt = $i + 2;
		if ($i != 0) {
			$tmp_mac = strtok (":\n\t");
			$message .= ":";
		}
		if ($i == 5)
			$message .= create_html_input ("text", "$name$input_cnt", 2, 2, $tmp_mac, "$option onblur=\"javascript:check_mac(this)\" onkeyup=\"javascript:js_{$form_name}_{$name}_input_next(this, 0, 0, event)\"");
		else
		{
			if($i != 0)
				$message .= create_html_input ("text", "$name$input_cnt", 2, 2, $tmp_mac, "$option onblur=\"javascript:check_mac(this)\" onkeyup=\"javascript:js_{$form_name}_{$name}_input_next(this, document.$form_name.$name$js_cnt, 0, event)\"");
			else
				$message .= create_html_input ("text", "$name$input_cnt", 2, 2, $tmp_mac, "$option onblur=\"javascript:check_mac(this)\" onkeyup=\"javascript:js_{$form_name}_{$name}_input_next(this, document.$form_name.$name$js_cnt, 1, event)\"");
				
		}
	}

	return $message;
}

/**	@brief	Create a input box for a number input.
 *
 *	Note from YUWAN:
 *		When the range starts with a number greater than 1,
 *		the original OnKeyUp check is not valid.
 *		So, I've changed the min check to OnBlur.
 *		The max check is done on OnKeyUp, as usual.
 *
 *	@param	$nDef	default value used when input is not valid.
 */
function create_html_number_input
	($name, $value, $form_name, $length=5, $range=NULL, $option=NULL,
	 $nDef=NULL, $bMandatory=false, $pattern = NULL, $spacecheck=NULL)
{
	global $locale;

	if ($name == NULL)
		return "name is null";


	$message = NULL;

	/* decide min/max value */
	if ($range != NULL) {
		$nMin = strtok (ltrim ($range), "~\n\t");
		$nMax = strtok ("~\n\t");
	}

	/* decide default value */
/*
	if ( $nDef == NULL ) {
		if ( $nMin )
			$nDef = $nMin;
		elseif ( $nMax )
			$nDef = $nMax;
	}
*/

	if ($locale == "de_DE") {
		$msg1 = "Falsche Eingabe! Bitte berprfen Sie Ihre Eingabe.";
		$msg2 = "Das eingegebene Zeichen ist nicht erlaubt.";
	} else {
		$msg1 = "Invalid input, please check again";
		$msg2 = "The used character is not allowed.";
	}
	
	if ($pattern == NULL)
	{
		if (preg_match("/(IAD_CALL_TEL)/", $option))
		{
			$pattern = "/[^0-9*#]/;";
			$option = str_replace("IAD_CALL_TEL", " ", $option);
		}
		else if (preg_match("/(IAD_ID)/", $option))
		{
			$pattern = "/[^0-9a-zA-Z]/;";
			$option = str_replace("IAD_ID", " ", $option);
		}
		else if (preg_match("/(IAD_DTMF)/", $option))
		{
			$pattern = "/[^0-9*#abcd&;W]/;";
			$option = str_replace("IAD_DTMF", " ", $option);
		}
		else if (preg_match("/(IAD_SPD_NAME)/", $option))
		{
			$pattern = "/[^0-9A-Za-z]/;";
			$option = str_replace("IAD_SPD_NAME", " ", $option);
		}
		else if (preg_match("/(IAD_ACC)/", $option))
		{
			$pattern = "/[^0-9a-zA-Z-_.]/;";
			$option = str_replace("IAD_ACC", " ", $option);
		}
		else if (preg_match("/(IAD_HEX)/", $option))
		{
			$pattern = "/[^0-9a-fA-F]/;";
			$option = str_replace("IAD_HEX", " ", $option);
		}
		else if (preg_match("/(IAD_LOGIN)/", $option))
		{
			$pattern = "/[^0-9a-zA-Z-_.%]/;";
			$option = str_replace("IAD_ACC", " ", $option);
		}
		else if (preg_match("/(IAD_T_ONLINE_LOGIN)/", $option))
		{
			$pattern = "/[^0-9a-zA-Z-_.@%]/;";
			$option = str_replace("IAD_T_ONLINE_LOGIN", " ", $option);
		}		
		else if (preg_match("/(IAD_AT)/", $option))
		{
			$pattern = "/[^0-9a-zA-Z-_.@%]/;";
			$option = str_replace("IAD_AT", " ", $option);
		}
		else if (preg_match("/(IAD_REALM)/", $option))
		{
			$pattern = "/[^0-9a-zA-Z-_.%/]/;";
			$option = str_replace("IAD_ACC", " ", $option);
		}
		else if (preg_match("/(IAD_SPD_NUMBER)/", $option))
		{
			$pattern = "/[^0-9a-zA-Z-_.@%*#,]/;";
			$option = str_replace("IAD_SPD_NUMBER", " ", $option);
		}
		else if (preg_match("/(IAD_SPD_NUM3210)/", $option))
		{
			$pattern = "/[^0-9a-zA-Z-_.@%*#]/;";
			$option = str_replace("IAD_SPD_NUM3210", " ", $option);
		}
		else if (preg_match("/(IAD_SPL_NUMBER)/", $option))
		{
			$pattern = "/[^0-9*#,]/;";
			$option = str_replace("IAD_SPL_NUMBER", " ", $option);
		}		
		else if (preg_match("/(IAD_ALL)/", $option))
		{
			$pattern = "/[\\\`\$\"]/;";
			$option = str_replace("IAD_ALL", " ", $option);
		}
		else if (preg_match("/(IAD_ALL2)/", $option))
		{
			$pattern = "/[^0-9a-zA-Z;',\.\/<>\?\[\]\{\}:=\+_\)\(\*&\^%#@!~`\|-]/;";
			$option = str_replace("IAD_SPL_NUMBER", " ", $option);
		}
		else if (preg_match("/(IAD_3xxx_proxy)/", $option))
		{
			$pattern = "/[^0-9a-zA-Z.-_]/;";
			$option = str_replace("IAD_3xxx_proxy", " ", $option);
		}
		else 
			$pattern = "/[^0-9]/;";
	}

	/* Script Open Tag */
	$message = "
		<script language=\"JavaScript\">
		<!--
		function js_{$form_name}_number_check (number,pattern)
		{
			var i,j;
			var ret=\"\";
			for (i=0; i<number.value.length; i++)
			{
				j = number.value.charAt(i);
				if (pattern.test(j))
					break;
					//continue;
				";
	if ($spacecheck != NULL)
	{
		$message .= "else if (j == ' ')
					break;
					";
	}				
	$message .= "else
					ret += j;
			}
			return ret;
		}
		function js_{$form_name}_{$name}_max_check (number)
		{
			var check_space = 0;
			var pattern = $pattern";
	if ($spacecheck != NULL)
	{
		$message .= "
			for(i=0;i<number.value.length;i++)
			{
				if (number.value.charAt(i) == ' ')
				{
					check_space = 1;
					break;
				}	
			}";
	}
	$message .= "		
			if ( pattern.test(number.value) || check_space == 1 ) {
				alert (\"$msg2 \");
				number.value = js_{$form_name}_number_check (number,pattern);
	";

	/* Max Check */
	if ( $range != NULL && $nMax != NULL) {
		$message .= "
				if ( number.value > {$nMax} )
				{
					alert (\"$msg1 '$range'   \");
			//		number.value = \"".($nDef==NULL?"":$nDef)."\";
					number.value = \"\";
					number.focus();
					number.select();
				}
				else
					return;
			} else if ( number.value > {$nMax} ) {
				alert (\"$msg1 '$range'   \");
				number.value = js_{$form_name}_number_check (number,pattern);
		//		number.value = \"".($nDef==NULL?"":$nDef)."\";
				number.value = \"\";
				number.focus();
				number.select();
			";
	}

	$message .= "
			}
		}
	";

	$message .= "
		function js_{$form_name}_{$name}_min_check (number)
		{
			var pattern = $pattern
	";

	/* Min Check */
	if ( $range != NULL && $nMin != NULL ) 
	{
		if ( ! $bMandatory ) 
		{
			/* if not mandatory, skip min check */
			$message .= "
				if ( number.value.length < 1 )
					return;
			";
		}



		$message .= "
			if ( number.value < {$nMin} ) {
				alert (\"$msg1 '$range'   \");
				number.value = js_{$form_name}_number_check (number,pattern);
		//		number.value = \"".($nDef==NULL?"":$nDef)."\";
				number.value = \"\";
				number.focus();
				number.select();
			}
		";
	}

	/* Script Close Tag */
	$message .= "
		}
		-->
		</script>
	";


	/* Input Box */
//	$message .= create_html_input ("text", "$name", $length+2, $length,
	$message .= create_html_input ("text", "$name", $length+2, $length,
			$value,
			"$option "
			. "OnKeyUp=\"js_{$form_name}_{$name}_max_check(this)\" "
			. "OnBlur=\"js_{$form_name}_{$name}_min_check(this)\""
		);

	return $message;
}

// 050727 ADD pjh0347

function kloading()
{
}
?>
