<?

class MENU
{
	var $topmenu = array (array());
	var $leftmenu = array ();
	var $bgcolor = array ();
	var $topmenu_count = 0;
	var $locale = "C";

	function set_locale ($value) { $this->locale = $value; }
	function get_topmenu ($number) { return $this->topmenu[$number]["name"]; }
	function get_infor ($topmenu, $type) { return $this->bgcolor[$topmenu][$type]; }
	function get_leftmenu_start ($topmenu) { return $this->topmenu[$topmenu]["start"]; }
	function get_leftmenu ($number, $type) { return $this->leftmenu[$number][$type]; }

	function get_count ($type, $menu=1) 
	{ 
		$ret = 0;

		if ($type == "topmenu")
			$ret = $this->topmenu_count;
		else if ($type == "leftmenu")
			$ret = count ($this->leftmenu); 

		return $ret;
	}

	function set_none_topmenu ()
	{
		$this->topmenu_count = 1;
		$this->topmenu[0] = "none TopMenu";
	}

	function set_none_leftmenu ()
	{
		$this->leftmenu_count = 1;
		$this->leftmenu[0]["name"] = "none LeftMenu";
	}

	function set_menu ($topmenu=0)
	{
		$filearray = array ();
		$path = "/usr/local/www/locale/{$this->locale}/menu/menu.menu";	

		if (!file_exists ($path)) {
			$this->locale = "C";
			$path = "/usr/local/www/locale/C/menu/menu.menu";	
		}

		if (!file_exists ($path))
			return;

		if ($filearray = file ($path)) {
			$tmp_menu = NULL;

			for ($i=0; $i<count ($filearray); $i++) {
				$tok = NULL;

				if (substr (ltrim ($filearray[$i]), 0, 1) != NULL && substr (ltrim ($filearray[$i]), 0, 1) != "#") {
					$tok = strtok (ltrim ($filearray[$i]),",\n\t");

					$tmp_menu = trim ($tok);

					if ($tmp_menu == "," || $tmp_menu == " ")
						continue;

					$tok = strtok (",\n\t");
					if (ltrim ($tok) == "topmenu") {
						$this->topmenu_count++;
						$this->topmenu[$this->topmenu_count]["name"] = $tmp_menu;

						$tok = strtok (",\n\t");
						if ($tok != "," && $tok != " ")
							$this->topmenu[$this->topmenu_count]["file"] = ltrim ($tok);

						$tok = strtok (",\n\t");
						if ($tok != "," && $tok != " ")
							$this->topmenu[$this->topmenu_count]["start"] = ltrim ($tok);

//						echo ("== top = $this->topmenu_count, $tmp_menu, {$this->bgcolor[$this->topmenu_count]["topbgcolor"]}, {$this->bgcolor[$this->topmenu_count]["subbgcolor1"]}, {$this->bgcolor[$this->topmenu_count]["subbgcolor2"]} ==<br>");
					} 
				}
			}
		}

		if ($topmenu) {
			$filearray = array ();
			$path = "/usr/local/www/locale/{$this->locale}/menu/{$this->topmenu[$topmenu]["file"]}";

			if (!file_exists ($path)) {
				$this->locale = "C";
				$path = "/usr/local/www/locale/C/menu/{$this->topmenu[$topmenu]["file"]}";	
			}

//			echo ("## leftmenu path=$path<br>");
			if (!file_exists ($path))
				return;


			if ($filearray = file ($path)) {
				$count = 0;

				for ($i=0; $i<count ($filearray); $i++) {
					$tok = NULL;

					if (substr (ltrim ($filearray[$i]), 0, 1) != NULL && substr (ltrim ($filearray[$i]), 0, 1) != "#") {
						$tok = strtok (ltrim ($filearray[$i]),",\n\t");

						$this->leftmenu[$count]["name"] = ltrim ($tok);
						if ($this->leftmenu[$count]["name"] == "," || $this->leftmenu[$count]["name"] == " ")
							$this->leftmenu[$count]["name"] = "NULL";

						$tok = strtok (",\n\t");
						$this->leftmenu[$count]["type"] = ltrim ($tok);
						if ($this->leftmenu[$count]["type"] == "," || $this->leftmenu[$count]["type"] == " ")
							$this->leftmenu[$count]["type"] = "NULL";

						$tok = strtok (",\n\t");
						$this->leftmenu[$count]["path"] = ltrim ($tok);
						if ($this->leftmenu[$count]["path"] == "," || $this->leftmenu[$count]["path"] == " ")
							$this->leftmenu[$count]["path"] = "NULL";

						$tok = strtok (",\n\t");
						$this->leftmenu[$count]["help"] = ltrim ($tok);
						if ($this->leftmenu[$count]["help"] == "," || $this->leftmenu[$count]["help"] == " ")
							$this->leftmenu[$count]["help"] = "NULL";

//						echo ("== name={$this->leftmenu[$count]["name"]}, type={$this->leftmenu[$count]["type"]}, path={$this->leftmenu[$count]["path"]}, help={$this->leftmenu[$count]["help"]} ==<br>");
						$count++;
						$this->leftmenu["count"] = $count;
					}
				}
			}
		}
	}
}

?>
