<?
function access_file_read ($filename, $debug=NULL)
{
	$ret = NULL;

	if ($filename == NULL)
		return $ret;

	if (file_exists ($filename)) {
		$filearray = file ($filename);
		$title_cnt = 0;
		$category_cnt = 0;
		$title = NULL;

		for ($i=0; $i<count ($filearray); $i++) {
			$tmp_value = NULL;
			$tmp_value = chop (ltrim ($filearray[$i]));

			if ($tmp_value == NULL || $tmp_value[0] == "#" || $tmp_value[0] == " ")
				continue;

			if ($tmp_value[0] == "[") {
				$title = substr ($tmp_value, 1, -1);
				$ret["title"][$title_cnt] = $title;
				$title_cnt++;
				$category_cnt = 0;
				continue;
			}

			$tok = strtok ($tmp_value, "=\n\t");
			$category = $tok;

			$tok = strtok ("=\n\t");
			if ($tok[0] == "\"")
				$value = substr ($tok, 1, -1);
			else
				$value = $tok;

			/*  ó */
			if ($category == "dns_server[0]")
				$category = "dns_server0";
			if ($category == "dns_server[1]")
				$category = "dns_server1";

			if ($title != NULL) {
				$ret[$title][$category_cnt]["category"] = $category;
				$ret[$title][$category_cnt]["value"] = $value;

				if ($debug == 1)
					echo ("== $title, $category_cnt, {$ret[$title][$category_cnt]["category"]}={$ret[$title][$category_cnt]["value"]} ==<br>");

				$category_cnt++;
			} else {
				$ret[$category_cnt]["category"] = $category;
				$ret[$category_cnt]["value"] = $value;

				if ($debug == 1)
					echo ("== $category_cnt, {$ret[$category_cnt]["category"]}={$ret[$category_cnt]["value"]} ==<br>");

				$category_cnt++;
			}
		}
	} else
		if ($debug == 1)
			echo ("== File Not Found! ==<br>");

	return $ret;
}

	$message = new MESSAGE;
	$message->set_locale($locale);
	$message->set_message("slt.msg");

	$fixed_net = $message->get_line(5);//Fixed Net
	$fixed_via = $message->get_line(6);//Fixed Via
	$dsl_name = $message->get_line(9);//DSL-Telephony
	$fixed_net_all = $message->get_line(10);//Fixed Net : ALL
	$dsl_name_all = $message->get_line(11);//DSL-Telephony : ALL

	function get_mode_array($locale, $isp, $sltd)
	{
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		global $fixed_net;
		global $fixed_via;
		global $dsl_name;

		$mode_array = null;

		$k = 0;
		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;
		for($i = 0 ; $i < 11 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				$mode_array[$k] = "$fixed_net : ".$contents_file[$i]['value'];
				$k = $k + 1;
				$mode_array[$k] = $contents_file[$i]['category'] + 1;
				$k = $k + 1;
			}
		}
		if($k == 2){
			$mode_array[$k] = "$fixed_net";
			$k = $k + 1;
			$mode_array[$k] = "0";
			$k = $k + 1;
		}
		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = "$dsl_name"." : ".$contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}
		return $mode_array;
	}

	function get_mode_array_4_3210($locale, $isp, $sltd)
	{
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		global $fixed_net;
		global $fixed_via;

		$mode_array = null;

		$k = 0;
		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;
		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = $contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}		
		return $mode_array;
	}

	function get_mode_array2($locale, $isp, $sltd)
	{
		global $fixed_net;
		global $fixed_via;
		global $dsl_name;

		$mode_array = NULL;
		$k = 0;
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);
		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;
		for($i = 0 ; $i < 11 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				$mode_array[$k] = "$fixed_net: ".$contents_file[$i]['value'];
				$k = $k + 1;
				$mode_array[$k] = $contents_file[$i]['category'] + 1;
				$k = $k + 1;
			}
		}
		if($k == 2){
			$mode_array[$k] = "$fixed_net";
			$k = $k + 1;
			$mode_array[$k] = "0";
			$k = $k + 1;
		}

		$result_file = "/tmp/supply";
		$contents_file = access_file_read($result_file);

		for($i = 0 ; $i < 10 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0 ){
				$via_number = strtr($contents_file[$i]['value'], "", ",");
				$mode_array[$k] = "$fixed_via: ".$via_number;
				$k = $k + 1;
				$mode_array[$k] = $contents_file[$i]['category'] + 30;
				$k = $k + 1;
			}
		}
		
		
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = "$dsl_name".": ".$contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}

		if($locale == "de_DE"){
			$barriers = "Gesperrt";
		}
		else{
			$barriers = "Barriers";
		}

		$mode_array[$k] = $barriers;
		$k = $k + 1;
		$mode_array[$k] = "238";
		$k = $k + 1;		

		return $mode_array;
	}

	function get_mode_array2_no_blank($locale, $isp, $sltd)
	{
		global $fixed_net;
		global $fixed_via;
		global $dsl_name;

		$mode_array = NULL;
		$k = 0;
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);
		for($i = 0 ; $i < 11 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				$mode_array[$k] = "$fixed_net: ".$contents_file[$i]['value'];
				$k = $k + 1;
				$mode_array[$k] = $contents_file[$i]['category'] + 1;
				$k = $k + 1;
			}
		}
		if($k == 0){
			$mode_array[$k] = "$fixed_net";
			$k = $k + 1;
			$mode_array[$k] = "0";
			$k = $k + 1;
		}

		$result_file = "/tmp/supply";
		$contents_file = access_file_read($result_file);

		for($i = 0 ; $i < 10 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0 ){
				$via_number = strtr($contents_file[$i]['value'], "", ",");
				$mode_array[$k] = "$fixed_via: ".$via_number;
				$k = $k + 1;
				$mode_array[$k] = $contents_file[$i]['category'] + 30;
				$k = $k + 1;
			}
		}
		
		
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = "$dsl_name".": ".$contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}

		if($locale == "de_DE"){
			$barriers = "Gesperrt";
		}
		else{
			$barriers = "Barriers";
		}

		$mode_array[$k] = $barriers;
		$k = $k + 1;
		$mode_array[$k] = "238";
		$k = $k + 1;		

		return $mode_array;
	}

	function get_mode_array2_4_3210($locale, $isp, $sltd)
	{
		global $fixed_net;
		global $fixed_via;

		$mode_array = NULL;
		$k = 0; 

		if($locale == "de_DE"){
			$barriers = "Gesperrt";
		}
		else{
			$barriers = "Barriers";
		}

		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;

		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = $contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}

		$mode_array[$k] = $barriers;
		$k = $k + 1;
		$mode_array[$k] = "238";
		$k = $k + 1;		

		return $mode_array;
	}

	function get_mode_array2_no_blank_4_3210($locale, $isp, $sltd)
	{
		global $fixed_net;
		global $fixed_via;

		$mode_array = NULL;
		$k = 0; 

		if($locale == "de_DE"){
			$barriers = "Gesperrt";
		}
		else{
			$barriers = "Barriers";
		}

		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = $contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}

		$mode_array[$k] = $barriers;
		$k = $k + 1;
		$mode_array[$k] = "238";
		$k = $k + 1;		

		return $mode_array;
	}

	function get_mode_array3($locale, $isp, $sltd)
	{
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		global $fixed_net;
		global $fixed_via;
		global $dsl_name;

		$mode_array = null;

		$k = 0;
		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;

		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = "$dsl_name"." : ".$contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}		
		return $mode_array;
	}

	function get_mode_array4($locale, $isp, $sltd)
	{
		global $fixed_net;
		global $fixed_via;
		global $dsl_name;

		$mode_array = NULL;
		$k = 0;
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;

		for($i = 0 ; $i < 11 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				$mode_array[$k] = "$fixed_net: ".$contents_file[$i]['value'];
				$k = $k + 1;
				$mode_array[$k] = $contents_file[$i]['category'] + 1;
				$k = $k + 1;
			}
		}
		if($k == 2){
			$mode_array[$k] = "$fixed_net";
			$k = $k + 1;
			$mode_array[$k] = "0";
			$k = $k + 1;
		}

		$result_file = "/tmp/supply";
		$contents_file = access_file_read($result_file);

		for($i = 0 ; $i < 10 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0 ){
				$via_number = strtr($contents_file[$i]['value'], "", ",");
				$mode_array[$k] = "$fixed_via: ".$via_number;
				$k = $k + 1;
				$mode_array[$k] = $contents_file[$i]['category'] + 30;
				$k = $k + 1;
			}
		}
		
		
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = "$dsl_name".": ".$contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}	

		return $mode_array;
	}

	function get_mode_array4_4_3210($locale, $isp, $sltd)
	{
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);
		
		global $fixed_net;
		global $fixed_via;

		$mode_array = NULL;

		$k = 0;
		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;		
		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = "$dsl_name"." : ".$contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}	
		return $mode_array;
	}

	function get_mode_array5($locale, $isp, $sltd)
	{
		global $fixed_net;
		global $fixed_via;
		global $dsl_name;

		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		$mode_array = null;

		$k = 0;

		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;

		for($i = 0 ; $i < 11 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				$mode_array[$k] = "$fixed_net : ".$contents_file[$i]['value'];
				$k = $k + 1;
				$mode_array[$k] = $contents_file[$i]['category'] + 1;
				$k = $k + 1;
			}
		}

		if($k == 2){
			$mode_array[$k] = "$fixed_net";
			$k = $k + 1;
			$mode_array[$k] = "0";
			$k = $k + 1;
		}

		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = "$dsl_name"." : ".$contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}		
		return $mode_array;
	}

	function get_mode_array5_4_3210($locale, $isp, $sltd)
	{
		global $fixed_net;
		global $fixed_via;
		global $outgoing_trunk;

		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		$mode_array = null;

		$k = 0;

		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;

		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = $contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}
/*
		if($k == 0){
			$mode_array[0] = " ";
			$mode_array[1] = "255";
		}
*/
		return $mode_array;
	}

	function get_mode_array6($locale, $isp, $sltd)
	{
		global $fixed_net;
		global $fixed_via;
		global $dsl_name;

		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		$mode_array = null;

		$k = 0;
		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = "$dsl_name"." : ".$contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}		
		return $mode_array;
	}

	function get_mode_array6_4_3210($locale, $isp, $sltd)
	{
		global $fixed_net;
		global $fixed_via;
		global $dsl_name;

		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		$mode_array = null;

		$k = 0;
		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = $contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}		
		return $mode_array;
	}

	function get_mode_array7($locale, $isp, $sltd)
	{
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		global $fixed_net;
		global $fixed_via;
		global $dsl_name;
		global $fixed_net_all;
		global $dsl_name_all;

		$mode_array = null;

		$k = 0;
		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;
		for($i = 0 ; $i < 11 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				$mode_array[$k] = "$fixed_net : ".$contents_file[$i]['value'];
				$k = $k + 1;
				$mode_array[$k] = $contents_file[$i]['category'] + 1;
				$k = $k + 1;
			}
		}
		if($k == 2){
			$mode_array[$k] = "$fixed_net";
			$k = $k + 1;
			$mode_array[$k] = "0";
			$k = $k + 1;
		}
		if($k > 5){
			$mode_array[$k] = "$fixed_net_all";
			$k = $k + 1;
			$mode_array[$k] = 30;
			$k = $k + 1;
		}

		$dsl_count = 0;

		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = "$dsl_name"." : ".$contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
					if(($contents_file_sp[$i]['category'] + 1) != $sltd){
						$dsl_count = $dsl_count + 1;
					}
				}
			}
		}
		if($dsl_count > 1){
			$mode_array[$k] = "$dsl_name_all";
			$k = $k + 1;
			$mode_array[$k] = 31;
			$k = $k + 1;
		}

		return $mode_array;
	}

	function get_mode_array_sp()
	{
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file_sp = access_file_read($result_file_sp);
		for($i = 0 ; $i < 22 ; $i++){
			$mode_array[$i] = $contents_file_sp[$i]['value'];
		}
		return $mode_array;
	}

	function get_mode_array_fg3220($locale, $isp, $sltd)
	{
		$result_file = "/tmp/call_number";
		$result_file_sp = "/tmp/call_number_sp";
		$contents_file = access_file_read($result_file);
		$contents_file_sp = access_file_read($result_file_sp);

		global $fixed_net;
		global $fixed_via;
		global $dsl_name;

		$mode_array = null;

		$k = 0;
		$mode_array[$k] = " ";
		$k = $k + 1;
		$mode_array[$k] = "255";
		$k = $k + 1;
		for($i = 1 ; $i < 11 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				$mode_array[$k] = "$fixed_net : ".$contents_file[$i]['value'];
				$k = $k + 1;
				$mode_array[$k] = $contents_file[$i]['category'];
				$k = $k + 1;
			}
		}
		
		for($i = 11 ; $i < 22 ; $i++){
			if(strlen(trim($contents_file[$i]['value'])) != 0){
				if(trim($contents_file_sp[$i]['value']) == $isp || ($contents_file_sp[$i]['category'] + 1) == $sltd || $sltd == "ALL"){
					$mode_array[$k] = "$dsl_name"." : ".$contents_file[$i]['value'];
					$k = $k + 1;
					$mode_array[$k] = $contents_file[$i]['category'] + 1;
					$k = $k + 1;
				}
			}
		}
		return $mode_array;
	}
?>
