#!/bin/sh
brctl delif br0 eth1
brctl delif br0 nas1
ifconfig br0 down
brctl delbr br0
ifconfig eth1 10.10.10.250 up
ifconfig eth0 192.168.72.250 up

##flush iptables
iptables -F
iptables -t nat -F
iptables -X
iptables -t nat -X
iptables -P INPUT DROP
iptables -P OUTPUT DROP
iptables -P FORWARD DROP
iptables -t nat -P PREROUTING DROP
iptables -t nat -P POSTROUTING DROP

iptables -A FORWARD -p icmp -j ACCEPT
iptables -A PREROUTING -t nat -p icmp -j ACCEPT
iptables -A POSTROUTING -t nat -p icmp -j MASQUERADE

ip link set imq0 up
iptables -t mangle -A PREROUTING -i eth0 -j IMQ --todev 0
iptables -t mangle -A PREROUTING -i eth1 -j IMQ --todev 0
