#!/bin/sh

DIR_CURRENT_DB="/configs"
DIR_DB_WORK="/ramdisk/upgrade/db"
FILE_DEFAULT_DB="/usr/default_db/default_db.tgz"

DIR_TMP_DB=$DIR_DB_WORK"/tmp_db"
DIR_DB_BACK=$DIR_DB_WORK"/backup_db"
FILE_RET=$DIR_DB_WORK"/return"



cd /
if [ -d $DIR_DB_BACK ] ; then
	rm -rf $DIR_DB_BACK
fi
if [ -d $DIR_TMP_DB ] ; then
	rm -rf $DIR_TMP_DB
fi
mkdir -p $DIR_DB_BACK
mkdir -p $DIR_TMP_DB

cp -a $DIR_CURRENT_DB/* $DIR_DB_BACK
rm -rf $DIR_CURRENT_DB/* 

if [ "$?" != "0" ]; then
	echo "backup" > $FILE_RET
	rm -rf $DIR_CURRENT_DB/* 
	cp -a $DIR_DB_BACK/* $DIR_CURRENT_DB
	# log left : Error! Factory reset fails
	logger "[SAMSUNG]!11!8!"
	rm -rf $DIR_DB_BACK $DIR_TMP_DB
	exit 2
fi

tar zxf $FILE_DEFAULT_DB
if [ "$?" != "0" ]; then
	tar zxf $FILE_DEFAULT_DB
	RE=$?
	if [ "$RE" != "0" ]; then
		rm -rf $DIR_CURRENT_DB/*
		cp -a $DIR_DB_BACK/* $DIR_CURRENT_DB
		echo "write" > $FILE_RET 
		# log left : Error! Factory reset fails
		logger "[SAMSUNG]!11!8!"
		rm -rf $DIR_DB_BACK $DIR_TMP_DB
		exit 2
	fi
fi
cp -f $DIR_DB_BACK/etc/pppoe_prev_conn* $DIR_CURRENT_DB/etc/ > /dev/null 2>&1
cp /etc/versionInfo.status /configs/etc/versionInfo.status
echo "ok" > $FILE_RET
logger "[SAMSUNG]!11!7!"

