#!/bin/sh


if [ $# -ne 1 ]
then 
 echo "$# parameters are entered : (Usage : $0 arg1)"
 exit 127

fi

echo $# $0 $1 $2

if [ "$1" = "add" ]
then
      
      
      iptables -A FORWARD -i ppp+ -o ppp+ -j DROP
      iptables -A FORWARD -i ppp+ -o nas+ -j DROP
      iptables -A FORWARD -i nas+ -o ppp+ -j DROP
      iptables -A FORWARD -i ppp+ -o atm+ -j DROP
      iptables -A FORWARD -i atm+ -o ppp+ -j DROP
      iptables -A FORWARD -i nas+ -o atm+ -j DROP
      iptables -A FORWARD -i atm+ -o nas+ -j DROP
      iptables -A FORWARD -i nas+ -o nas+ -j DROP
      iptables -A FORWARD -i atm+ -o atm+ -j DROP

fi

if [ "$1" = "del" ]
then

      iptables -D FORWARD -i ppp+ -o ppp+ -j DROP
      iptables -D FORWARD -i ppp+ -o nas+ -j DROP
      iptables -D FORWARD -i nas+ -o ppp+ -j DROP
      iptables -D FORWARD -i ppp+ -o atm+ -j DROP
      iptables -D FORWARD -i atm+ -o ppp+ -j DROP
      iptables -D FORWARD -i nas+ -o atm+ -j DROP
      iptables -D FORWARD -i atm+ -o nas+ -j DROP
      iptables -D FORWARD -i nas+ -o nas+ -j DROP
      iptables -D FORWARD -i atm+ -o atm+ -j DROP

fi
exit 0

