<?

define("DATA_RESP", "1");
define("CALL_RESP", "255");

$_PLATFORM = "3220"; //     е !!

//add new class for new IAD design. by horiee 20060819

class FORM
{
	var $name = NULL;
	var $action = NULL;
	var $method = "post";
	var $option = NULL;
	var $hidden_input = array ();

	var $input_cnt = 0;

	function set_name ($value) { $this->name = $value; }
	function set_action ($value) { $this->action = $value; }
	function set_method ($value) { $this->method = $value; }
	function set_option ($value) { $this->option = $value; }

	function add_hidden_input ($name, $value=NULL, $option=NULL)
	{
		$this->hidden_input[$this->input_cnt]["name"] = $name;
		$this->hidden_input[$this->input_cnt]["value"] = $value;

		if ($option != NULL)
			$this->hidden_input[$this->input_cnt]["option"] = $option;

		$this->input_cnt++;
	}
}

class TABLE
{
	var $title = NULL;
	var $top_space = 0;
	var $type_position = "top";

	var $table_align = 0;
	var $table_width = 0;

	var $tr_option = array ();
	var $td_option = array ();
	var $td_style = array ();
	var $td_font = array ();
	var $td_align = array ();
	var $td_width = array ();
	var $td_height = array ();
	var $contents = array ();
	var $top_contents = array ();
	var $top_table_contents = array ();
	var $top_table_option = array ();
	var $top_table_style = array ();
	var $top_table_font = array ();

	var $row_td_width = 0;
	var $line_contents = 0;
	var $scroll_line_contents = 0;
	var $top_table_line_contents = 0;
	var $top_line_contents = 0;
	var $row_contents = 0;

	/* by JOKUL 20060322 */
	function set_title ($value) { $this->title = $value; }
	function set_top_space ($value) { $this->top_space = $value; }
	function set_type_position ($value) { $this->type_position = $value; } // .... 
	function set_td_align ($row, $value) { $this->td_align[$this->line_contents][$row] = $value; }
	//function set_td_font ($row, $value) { $this->td_font[$this->line_contents][$row] = $value; }
	function set_td_width ($value) { $this->td_width = $value; }
	function set_td_height ($line, $value) { $this->td_height[$line] = $value; }
	function set_contents ($value) { $this->contents = $value; }
	//function set_td_row_contents ($value) { $this->row_contents = $value; }
	//function add_td_width ($value) { $this->td_width[$this->row_td_width++] = $value; }

	function set_table_align ($value) { $this->table_align = $value; }
	function set_top_table_width ($value) { $this->top_table_width = $value; }
	function set_top_width ($value) { $this->top_width = $value; }
	function set_top_option ($line, $row, $value) { $this->top_option[$line][$row] = $value; }
	function set_top_table_option ($line, $row, $value)	{ $this->top_table_option[$line][$row] = $value; }
	/* by jsh - add set_top_table_style */
	function set_top_table_style ($line, $row, $value, $cell_font=NULL)	{ 
		$this->top_table_style[$line][$row] = $value; 
		$this->top_table_font[$line][$row] = $cell_font; 
	}
	function set_top_td_option ($value) { $this->top_td_option = $value; }
	/* by jsh */
	function set_top_table_cellspacing($value1, $value2) 
	{ 
		$this->top_table_cellspacing = $value1;
		$this->top_table_class = $value2;
	} 

	/* SCROLL x, y.... */
	function set_scroll_contents ($value) { $this->scroll_contents = $value; }
	function set_x_td_width ($value) { $this->x_td_width = $value; }
	function set_x_table_width ($value) { $this->x_table_width = $value; }
	function set_scroll_height ($value) { $this->scroll_height = $value; }
	function set_scroll_width ($value) { $this->scroll_width = $value; }
	function set_scroll_td_option ($line, $row, $value) { $this->scroll_td_option[$line][$row] = $value; }
	
	function add_scroll_tr_contents ($value) 
	{ 
		for ($i = 0; $i < count($value); $i++)
			$this->scroll_contents[$this->scroll_line_contents][$i] = $value[$i];

		$this->scroll_line_contents++;
	}

	function set_tr_option ($line, $value)
	{
		if ($line == -1)
			$line = $this->line_contents - 1;

		$this->tr_option[$line] = $value;
	}

	function set_td_option ($line, $row, $value)
	{
		if ($line == -1)
			$line = $this->line_contents - 1;

		$this->td_option[$line][$row] = $value;
	}
	/* by jsh 20070827 add set_td_style*/
	function set_td_style ($line, $row, $value, $cell_font=NULL)
	{
		if ($line == -1)
			$line = $this->line_contents - 1;

		$this->td_style[$line][$row] = $value;
		$this->td_font[$line][$row] = $cell_font;
	}

	function add_tr_contents ($value)
	{
		for ($i=0; $i<count ($value); $i++)
			$this->contents[$this->line_contents][$i] = $value[$i];
			
		$this->line_contents++;
	}

	function add_td_contents ($value)
	{
		if ($this->row_contents >= count ($this->td_width)) {
			$this->line_contents++;
			$this->row_contents = 0;
		}
		$this->contents[$this->line_contents][$this->row_contents++] = $value;
	}
	
	function set_top_table_contents ($value) 
	{
		for ($i=0; $i<count ($value); $i++)
			$this->top_table_contents[$this->top_table_line_contents][$i] = $value[$i];
		
		$this->top_table_line_contents++; 
	}
	
	function set_top_contents ($value) 
	{ 
		for ($i=0; $i<count ($value); $i++)
			$this->top_contents[$this->top_line_contents][$i] = $value[$i];
		
		$this->top_line_contents++; 
	}
}

class BUTTON
{
	var $top_space = 25;
	var $option = NULL;
	var $option_cnt = NULL;
	var $name = array ();
	var $js_name = array ();
	var $script = array ();
	var $locale = NULL;

	var $cnt_name = 0;
	var $cnt_script = 0;

	function set_top_space ($value) { $this->top_space = $value; }
	function set_locale ($value) { $this->locale = $value; }
	function set_name ($value) { $this->name = $value; }
	function set_js_name ($value) { $this->js_name = $value; }
	function set_script ($value) { $this->script = $value; }
	function add_name ($value) { $this->name[$this->cnt_name++] = $value; }
	function add_script ($value) { $this->script[$this->cnt_script++] = $value; }

	function set_option ($option_cnt=1, $option=NULL)
	{
		$this->option = $option;
		$this->option_cnt = $option_cnt;
	}

	function set_button ($name, $script, $js_name=NULL)
	{
		$this->name = $name;
		for ($i=0; $i<count ($name); $i++) {
			if ($js_name[$i] == NULL)
				$this->js_name[$i] = "img{$name[$i]}";
			else
				$this->js_name[$i] = $js_name[$i];
		}
		$this->script = $script;
	}
}

class MESSAGE
{
	var $message = array ();
	var $locale = "C";
	var $file_path;
	var $file_name;

	function set_locale ($value) { $this->locale = $value; }
	function set_message ($value)
	{
		$filearray = array ();
		$path = "/usr/local/www/locale/{$this->locale}/msg/$value";
		$this->file_path = $path;
		$this->file_name = $value;


		if ($this->locale == "C")
			return;

		if (!file_exists ($path)) {
			$this->locale = "C";
			$path = "/usr/local/www/locale/C/msg/$value";	
		}

		if (!file_exists ($path)) {
			$this->message = NULL;
			return;
		}

		if ($locale != "C") {
			if ($filearray = file ("/usr/local/www/locale/C/msg/$value")) {
				$count = 0;
				for ($i=0; $i<count ($filearray); $i++) {
					if (substr (ltrim ($filearray[$i]), 0, 1) != NULL && substr (ltrim ($filearray[$i]), 0, 1) != "#") {
						$this->message["C"][$count] = chop (ltrim ($filearray[$i]));
			//			echo ("== $count : {$this->message["C"][$count]} = {$filearray[$i]} ==<br>");
						$count++;
					}
				}
			}

			$filearray = NULL;
			if ($filearray = file ($path)) {
				$count = 0;
				for ($i=0; $i<count ($filearray); $i++) {
					if (substr (ltrim ($filearray[$i]), 0, 1) != NULL && substr (ltrim ($filearray[$i]), 0, 1) != "#") {
						$this->message[$this->locale][$count] = chop (ltrim ($filearray[$i]));
				//		echo ("== $count : {$this->message[$this->locale][$count]} = {$filearray[$i]} ==<br>");
						$count++;
					}
				}
			}
		}
	}

	function get_message ($value)
	{
		$ret_msg = NULL;

		if ($this->locale == "C")
			return $value;

//		$value .= "\n";
		for ($i=0; $i<count ($this->message["C"]); $i++) {
		//	echo ("== $i : {$this->message["C"][$i]} = $value ==<br>");
			if ($this->message["C"][$i] == $value) {
		//		echo ("** $i : {$this->message["C"][$i]} = $value **<br>");
				$ret_msg = $this->message[$this->locale][$i];
				break;
			}
		}

		if ($ret_msg == NULL)
			$ret_msg = $value;

		return $ret_msg;
	}

	function get_line ($valuex)
	{
		$value = $valuex - 1;
		$ret_msg = NULL;

		if(!file_exists($this->file_path)){
			$ret_msg = "";
		}
		else if($this->locale == "C"){
			$filearray = file($this->file_path);
			$ret_msg = rtrim($filearray[$value]);
		}
		else{
			$ret_msg = $this->message[$this->locale][$value];
		}

		if(!$ret_msg){
			$path = "/usr/local/www/locale/C/msg/{$this->file_name}";
			if(file_exists($path)){
				$filearray = file($path);
				$ret_msg = $filearray[$value];
			}
			else{
				$ret_msg = "";
			}
		}
		
		if(!$ret_msg){
			$ret_msg = "(Index $valuex)";
		}

		return $ret_msg;                                                                                                    
	}
}

class TAB // 20060306 JOKUL
{
	var $top_space = 25;
	var $name = array ();
	var $js_name = array ();
	var $script = array ();
	var $td_width = array ();
	var $locale = NULL;

	function set_tab_title ($value) { $this->title = $value; }
	function set_top_space ($value) { $this->top_space = $value; }
	function set_locale ($value) { $this->locale = $value; }
	function set_td_width ($value) { $this->td_width = $value; }

	function set_tab ($name, $script, $js_name=NULL)
	{
		$this->name = $name;
		for ($i = 0; $i < count ($js_name); $i++) {
			$this->js_name[$i] = $js_name[$i];
		}
		$this->script = $script;
	}
}

class BIN //20060330 horiee
{
	var $up_file_path;
	var $down_file_path;
	var $ret_file_path;

	var $structure = array();

	var $record_size; // the size of each record
	var $record_number; // the quantity of record
	var $response = NULL; // the response of api execution
//////// Vampire 06. 10. 12. 16:00 //////
	var $reserved = NULL;
//////// Vampire 06. 10. 12. 16:00 End //////

	var $result = array(array());

	var $input_value = array(array());

	var $service_type = NULL;
	function set_service_type($value) { $this->service_type = $value; }
/*
	function set_up_file_path($value) { $this->up_file_path = $value; }
	function set_down_file_path($value) { $this->down_file_path = $value; }
	function set_ret_file_path($value) { $this->ret_file_path = $value; }

	function set_up_file_path($value) { $this->up_file_path = "/ramdisk/etc/call_send.bin"; }
	function set_down_file_path($value) { $this->down_file_path = "/ramdisk/etc/call_receive.bin"; }
	function set_ret_file_path($value) { $this->ret_file_path = $value; }
*/	
	function set_file_path() 
	{ 
		if ($this->service_type == 2) // vms
		{
			$this->up_file_path = "/ramdisk/etc/data_send.bin";
			$this->down_file_path = "/ramdisk/etc/data_receive.bin";
			$this->ret_file_path = "/ramdisk/etc/data_ret.bin";
		}
		else if ($this->service_type == 3)
		{
			$this->up_file_path = "/tmp/call_send.bin";
			$this->down_file_path = "/tmp/call_receive.bin";
			$this->ret_file_path = "/tmp/call_ret.bin";
		}
		else // call
		{
			$this->up_file_path = "/ramdisk/etc/call_send.bin";
			$this->down_file_path = "/ramdisk/etc/call_receive.bin";
			$this->ret_file_path = "/ramdisk/etc/call_ret.bin";
		}	
	}


	function set_input_value($value)
	{
		$this->input_value = NULL;
		if (count($this->structure) > 0)
		{
			for ($i=0; $i<count($value); $i++)
			{
				for ($j=0; $j<count($value[$i]); $j++)
				{
					if (strlen($value[$i][$j]) == $this->structure[$j])
					{
						$this->input_value[$i][$j] = $value[$i][$j];
					}
					else if (strlen($value[$i][$j]) < $this->structure[$j])
					{
						$this->input_value[$i][$j] = NULL;

						$this->input_value[$i][$j] .= $value[$i][$j];
						$tmp = $this->structure[$j]-strlen($value[$i][$j]);
						for ($k=0; $k<$tmp; $k++)
						{
							$this->input_value[$i][$j] .= "\0";
						}
					}
					else
					{
						$this->input_value = array(array());
						return;
					}
				}
			}
			return 1;
		}
		else
			return;
	}

	function get_record_number() { return $this->record_number; }
	function get_response() 
	{
		if ($fp = fopen($this->down_file_path, "rb"))
		{
			fread($fp, 6);
			fread($fp, 2);
			fread($fp, 4);
			$tmp_response = fread($fp, 1);
			$this->response = $this->str2num($tmp_response, 1); // api  
			fread($fp, 3);
	
			fclose($fp);
	
			return (int)$this->response; 
		}
		else
			return 255;
	}
//////// Vampire 06. 10. 12. 16:00 //////
	function get_reserved() 
	{
		if ($fp = fopen($this->down_file_path, "rb"))
		{
			fread($fp, 6);
			fread($fp, 2);
			fread($fp, 4);
			fread($fp, 1);
			$tmp_reserved = fread($fp, 1);
			$this->reserved = $this->str2num($tmp_reserved, 1); // api  

			fread($fp, 2);
	
			fclose($fp);
	
			return (int)$this->reserved; 
		}
		else
			return 255;
	}
//////// Vampire 06. 10. 12. 16:00 End ////

	function get_result() 
	{ 
	//horiee
	/*
		for ($i=0; $i<count($this->result); $i++)
		{
			for ($j=0; $j<4; $j++)
			{
				echo "Result ($i-$j) : ".$this->result[$i][$j]."<br>";
			}
		}
	*/
	//horiee
		return $this->result; 
	}

	function set_structure($value) 
	{
		$this->structure = NULL;
		for ($i=0; $i<count($value); $i++)
		{
			$this->structure[$i] = $value[$i]; 
		}
	}


	function readBin()
	{
		if (file_exists($this->down_file_path))
		{
			$HEADER = 1;

			$structure_size = 0;
			$tmp_record = NULL;
			$api_response = NULL;

			$result = array();
			if($fp = fopen($this->down_file_path, "rb"))
			{
				if ($HEADER)
				{
					// read header data 16byte
					fread($fp, 6);
					$tmp_record_size = fread($fp, 2);
					$this->record_size = $this->str2num($tmp_record_size, 2);

					$tmp_all_size = fread($fp, 4);
					$api_response = (int)fread($fp, 1); // api  
					fread($fp, 3);

					if ($api_response == 0)
					{
						if ((int)$this->str2num($tmp_all_size, 4) > 0)
						{
							$this->record_number = $this->str2num($tmp_all_size, 4)/$this->record_size;

							for ($i=0; $i<count($this->structure); $i++)
							{
								$structure_size = $structure_size + $this->structure[$i];
							}
							if ($structure_size != $this->record_size)
							{
								$tmp_record = $this->record_size - $structure_size;
							}
							// read header data

							if ($tmp_result = fread($fp, $this->structure[0]))
							{
								if (!$tmp_result && strlen($tmp_result) != 0)
									$tmp_result = '0';

								$result_index = 0;
								while (strlen($tmp_result))
								{
									$this->result[$result_index][0] = $tmp_result;

									for ($i=1; $i<count($this->structure); $i++)
									{
										$this->result[$result_index][$i] = fread($fp, $this->structure[$i]);
									}
									if ($tmp_record > 0)
									{
										fread($fp, $tmp_record);
									}
									$result_index++;
									$tmp_result = fread($fp, $this->structure[0]);
								}
							}
						}
					}
					else
						return;
				}
				else
				{
					$this->record_size = 0;
					for ($i=0; $i<count($this->structure);$i++)
					{
						$this->record_size = $this->record_size+$this->structure[$i];
					}

					$this->record_number = 0;

					$tmp_result = fread($fp, $this->structure[0]);

					if (!$tmp_result && strlen($tmp_result) != 0)
						$tmp_result = '0';

					while (strlen($tmp_result))
					{
						$this->result[$this->record_number][0] = $tmp_result;

						for ($i=1; $i<count($this->structure); $i++)
						{
							$this->result[$this->record_number][$i] = fread($fp, $this->structure[$i]);
						}
						if ($tmp_record>0)
						{
							fread($fp, $tmp_record);
						}
						$this->record_number++;
						$tmp_result = fread($fp, $this->structure[0]);
					}
				}
				fclose($fp);

				return 1;
			}
			else
				return;
			/*
			   while ($tmp_result = fread($fp, $this->structure[0]))
			   {
			   $this->result[$this->record_number][0] = $tmp_result;

			   for ($i=1; $i<count($this->structure); $i++)
			   {
			   $this->result[$this->record_number][$i] = fread($fp, $this->structure[$i]);
			   }
			   $this->record_number++;
			   }
			 */
		}
		else
			return;
	}

	function writeBin()
	{
		$fp = fopen($this->up_file_path, "wb");
		for ($i=0; $i<count($this->input_value); $i++)
		{
			for ($j=0; $j<count($this->input_value[$i]); $j++)
			{
				//write record
				fwrite($fp, $this->input_value[$i][$j]);
			}
		}
		fclose($fp);
	}
	// ̱ 
	/*
	function checkApi($length)
	{
		$result = array();
		$fp = fopen("$ret_file_path", "rb");
		for ($i=0; ; $i++)
		{
			$tmp_word = fread($fp, $length); 
			$result[$i] = ord($tmp_word);
		}
		fclose($fp);

		return $result;
	}
	*/
	// ̱ 
	function num2str($value, $byte)
	{
		if ($value && $byte)
		{
			if (strlen($value) <= $byte*2)
			{
				$result = NULL;
				$tmp_result = NULL;

				for ($i=0; $i<($byte*2)-strlen($value); $i++)
				{
					$tmp_result .= "\0";
				}
				$tmp_result .= $value;

				for ($i=0; $i<$byte*2; $i=$i+2)
				{
					$tmp_word = $tmp_result[$i].$tmp_result[$i+1];
					$result .= chr(hexdec($tmp_word));
				}

				return $result;
			}
			else
				return;
		}
		else
			return;
	}
	function str2num($value, $byte)
	{
		if (strlen($value) && $byte)
		{
			if (strlen($value) <= $byte)
			{
				$result = NULL;
				$tmp_result = NULL;

				$tmp_result = sprintf("%x", ord($value[0]));

				if (strlen($tmp_result) == 1)
				{
					if ($tmp_result == '0')
						$result = "00";
					else
						$result = '0'.$tmp_result;
				}
				else
					$result = $tmp_result;

				for ($i=1; $i<strlen($value); $i++)
				{
					$tmp_value = sprintf("%x", ord($value[$i]));
					if (strlen($tmp_value) == 1)
					{
						$result .= '0'.$tmp_value;
					}
					else
						$result .= $tmp_value;
				}

				//horiee 2006.05.09 ڸ ȯ.
				/*
				$tmp_hex = NULL;
				for ($i=0; $i<strlen($result); $i++)
				{
					$tmp_hex .= hexdec($result[$i]);
				}
				*/
				$tmp_hex = hexdec($result);
				//horiee 2006.05.09
				$result = NULL;
				for ($i=0; $i<($byte*2)-strlen($tmp_hex); $i++)
				{
					$result .= '0';
				}
				$result .= $tmp_hex;

				return $result;
			}
			else
				return;
		}
		else
			return;
	}
	/*
	function str2num($value)
	{
		if ($value)
		{
			$result = NULL;
	
			$tmp_result = dechex(ord($value[0]));

			if (strlen($tmp_result) == 1)
				$result = '0'.dechex(ord($value[0]));
			else
				$result = dechex(ord($value[0]));

			for ($i=1; $i<strlen($value); $i++)
			{
				$tmp_value = dechex(ord($value[$i]));
				if (strlen($tmp_value) == 1)
				{
					$result .= '0'.$tmp_value;
				}
				else
					$result .= $tmp_value;
			}

			return hexdec($result);
		}
		else
			return;
	}
	*/
}
class CALLAPI // horiee 20060402
{
	var $embeded = "NULL";
	var $login = "NULL";
	var $service_type = "NULL";
	var $msg_type = "NULL";
	var $msg_id = "NULL";
	var $record_size = "NULL";
	var $msg_length = "NULL";
	var $system_ip = "NULL";
	var $option = "NULL";

	var $test = 0;
	var $args = NULL;

	var $ret = NULL;
	var $result = NULL;

	function set_embeded($value) { $this->embeded = $value; }
	function set_login($value) { $this->login = $value; }
	function set_service_type($value) { $this->service_type = $value; }

	function set_msg_type($value) { $this->msg_type = hexdec($value); }
	function set_msg_id($value) { $this->msg_id = hexdec($value); }
	function set_record_size($value) { $this->record_size = $value; }
	function set_msg_length($value) { $this->msg_length = $value; }

	function set_option($value) { $this->option= $value; }
	function set_system_ip($value) { $this->system_ip = $value; }
	function set_test($value) { $this->test = 0; }
	//function set_test($value) { $this->test = $value; }

	function exec_api()
	{
		$this->args = "0 0 $this->service_type $this->msg_type $this->msg_id $this->record_size $this->msg_length NULL LOCALHOST";
		if (!$this->test)
		{
			if ($this->service_type == 0)
			{
				exec ("/ramdisk/etc/call_api.exe $this->args", $this->result, $this->ret);
				/*
				echo ("/ramdisk/etc/call_api.exe ".$this->args."<br>");
				echo ("Ret : $this->ret<br>");
				echo ("Result =============<br>");
				for ($i=0; $i<count($this->result); $i++)
					echo ("$this->result[$i]<br>");
				echo ("Result =============<br>");
				*/
			}
			else
			{
				exec ("/ramdisk/etc/data_api.exe $this->args", $this->result, $this->ret);
				/*
				echo ("/ramdisk/etc/data_api.exe ".$this->args."<br>");
				echo ("Ret : $this->ret<br>");
				echo ("Result =============<br>");
				for ($i=0; $i<count($this->result); $i++)
					echo ("$this->result[$i]<br>");
				echo ("Result =============<br>");
				*/
			}
		}
		else
		{
			if ($this->service_type == 0)
				echo ("/ramdisk/etc/call_api.exe ".$this->args."<br>");
			else
				echo ("/ramdisk/etc/data_api.exe ".$this->args."<br>");
		}
	}

	function exec_api_no_return()
	{
		$this->args = "0 0 $this->service_type $this->msg_type $this->msg_id $this->record_size $this->msg_length NULL LOCALHOST";
		if (!$this->test)
		{
			if ($this->service_type == 0)
			{
				exec ("/ramdisk/etc/call_api.exe $this->args > /dev/null &", $this->result, $this->ret);
				/*
				echo ("/ramdisk/etc/call_api.exe ".$this->args." > /dev/null &<br>");
				echo ("Ret : $this->ret<br>");
				echo ("Result =============<br>");
				for ($i=0; $i<count($this->result); $i++)
					echo ("$this->result[$i]<br>");
				echo ("Result =============<br>");
				*/
			}
			else
			{
				exec ("/ramdisk/etc/data_api.exe $this->args > /dev/null &", $this->result, $this->ret);
				/*
				echo ("/ramdisk/etc/data_api.exe ".$this->args." > /dev/null &<br>");
				echo ("Ret : $this->ret<br>");
				echo ("Result =============<br>");
				for ($i=0; $i<count($this->result); $i++)
					echo ("$this->result[$i]<br>");
				echo ("Result =============<br>");
				*/
			}
		}
		else
		{
			if ($this->service_type == 0)
				echo ("/ramdisk/etc/call_api.exe ".$this->args." > /dev/null &<br>");
			else
				echo ("/ramdisk/etc/data_api.exe ".$this->args." > /dev/null &<br>");
		}
	}

	function get_ret() { return $this->ret; }
}
?>
