#!/bin/sh
brctl delif br0 eth1
brctl delif br0 nas1
ifconfig br0 down
ifconfig nas1 down
brctl delbr br0
ifconfig eth1 10.10.10.250 up

##flush iptables
iptables -F
iptables -t nat -F
iptables -X
iptables -t nat -X
iptables -P INPUT DROP
iptables -P OUTPUT DROP
iptables -P FORWARD DROP
iptables -t nat -P PREROUTING DROP
iptables -t nat -P POSTROUTING DROP

## Open RTSP PORTS
iptables -A FORWARD -p tcp --dport 554 -m state --state NEW,ESTABLISHED -j ACCEPT
iptables -t nat -A PREROUTING -p tcp --dport 554 -m state --state NEW,ESTABLISHED,RELATED -j ACCEPT
iptables -t nat -A PREROUTING -p tcp --sport 554 -m state --state ESTABLISHED,RELATED -j ACCEPT
iptables -t nat -A POSTROUTING -p tcp --dport 554 -m state --state NEW,ESTABLISHED,RELATED -j MASQUERADE
iptables -t nat -A POSTROUTING -p tcp --sport 554 -m state --state ESTABLISHED,RELATED -j ACCEPT
iptables -A FORWARD -p udp -m state --state ESTABLISHED,RELATED -j ACCEPT
iptables -A FORWARD -p tcp -m state --state ESTABLISHED,RELATED -j ACCEPT
iptables -t nat -A PREROUTING -p udp -m state --state ESTABLISHED,RELATED -j ACCEPT

# For masquerading
iptables -t nat -A POSTROUTING -p udp -m state --state ESTABLISHED,RELATED -j MASQUERADE

iptables -t nat -A PREROUTING -p icmp -i nas+ -j DNAT --to 10.10.10.32
iptables -A FORWARD -p icmp -j ACCEPT
iptables -t nat -A POSTROUTING -p icmp -j ACCEPT
